Package org.apache.sysds.runtime.controlprogram.federated.monitoring

# Class Response

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.monitoring.Response

public class Response extends Object

## Constructor Summary

Constructors
Constructor
Description
`Response()`

## Method Summary

Modifier and Type
Method
Description
`static io.netty.handler.codec.http.FullHttpResponse`
`forbidden(String exception)`
`static io.netty.handler.codec.http.FullHttpResponse`
`notFound(String exception)`
`static io.netty.handler.codec.http.FullHttpResponse`
`ok(String result)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Response

public Response()

## Method Details

### ok

public static io.netty.handler.codec.http.FullHttpResponse ok(String result)

### notFound

public static io.netty.handler.codec.http.FullHttpResponse notFound(String exception)

### forbidden

public static io.netty.handler.codec.http.FullHttpResponse forbidden(String exception)